From d8d2cf65f847e2c72be21fdf9043f0babe60fb49 Mon Sep 17 00:00:00 2001
From: Slaven Rezic <slaven@rezic.de>
Date: Sat, 11 Nov 2017 17:22:20 +0100
Subject: [PATCH] call Sys::Hostname::hostname as a normal function

Sys::Hostname->hostname translates into
Sys::Hostname::hostname("Sys::Hostname"), and any extra arguments are
forbidden in newer versions of Sys::Hostname (e.g. in perl 5.27.x)

This fixes https://github.com/nigelhorne/CGI-Info/issues/7
---
 lib/CGI/Info.pm | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/lib/CGI/Info.pm b/lib/CGI/Info.pm
index 20a3815..8b7083a 100644
--- a/lib/CGI/Info.pm
+++ b/lib/CGI/Info.pm
@@ -290,9 +290,8 @@ sub _find_site_details {
 		}
 	} else {
 		require Sys::Hostname;
-		Sys::Hostname->import;
 
-		$self->{_cgi_site} = Sys::Hostname->hostname;
+		$self->{_cgi_site} = Sys::Hostname::hostname();
 	}
 
 	unless($self->{_site}) {
-- 
2.1.4

